Package org.eclipse.birt.report.model.api.metadata

# Interface IMemberInfo

All Superinterfaces:
  `ILocalizableInfo`

All Known Implementing Classes:
  `MemberInfo`, `MemberInfo`

public interface IMemberInfo extends ILocalizableInfo
Represents the definition of class member. The class member defines the member type besides name, display name ID and tool tip ID.

## Method Summary

Modifier and Type
Method
Description
`IClassInfo`
`getClassType()`
Returns the member type in Class.
`String`
`getDataType()`
Returns the script data type of this member.
`boolean`
`isStatic()`
Returns whether this member is static.

### Methods inherited from interface org.eclipse.birt.report.model.api.metadata.ILocalizableInfo

`getDisplayName, getDisplayNameKey, getName, getToolTip, getToolTipKey`

## Method Details

### getDataType

String getDataType()
Returns the script data type of this member.

Returns:
  the script data type of this member

### isStatic

boolean isStatic()
Returns whether this member is static.

Returns:
  `true` if this member is true.

### getClassType

IClassInfo getClassType()
Returns the member type in Class.

Returns:
  the member type